Subject: Re: bug#47699: [PATCH] Improve completion-list-mode-map

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 25 May 2021 13:31:19 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Gregory Heytings <[email-masked]> writes:
>
>> Thanks.  Here is the updated patch.  I tested it with minibuffer-only
>> frames, and it seems to work.
>>
>> Are you sure that it's okay to rebind M-c in
>> minibuffer-local-completion-map?  It's a good mnemonic for
>> "completion", but it hides the capitalize-word binding, that users
>> might possibly want to use there (I don't, it's only when thinking
>> about this patch that I realized this).
>>
>> Another option would be M-g, which would not hide anything that is
>> possibly useful in the minibuffer, and is still a mnemonic of "goto".
>
> Thanks; applied to Emacs 28.

Thanks, but test/lisp/help-tests.el also needs updating:

  Test help-tests-substitute-command-keys/keymaps condition:
      (ert-test-failed
       ((should
         (equal
          (substitute-command-keys orig)
          result))
        :form
        (equal
         #("key             binding..." ...)
         "key             binding...")
        :value nil :explanation
        (arrays-of-different-length 715 688 ... first-mismatch-at 495)))
     FAILED  16/24  help-tests-substitute-command-keys/keymaps (0.000349 sec)

-- 
Basil